### Enumeration

# Gdk FrameClockPhase

#### Declaration

    flags Gdk.FrameClockPhase

#### Description [src]

Used to represent the different paint clock phases that can be requested.

The elements of the enumeration correspond to the signals of `GdkFrameClock`.

#### Members

Name | Description
--- | ---
`GDK_FRAME_CLOCK_PHASE_NONE` | No phase.
`GDK_FRAME_CLOCK_PHASE_FLUSH_EVENTS` | Corresponds to GdkFrameClock::flush-events. Should not be handled by applications.
`GDK_FRAME_CLOCK_PHASE_BEFORE_PAINT` | Corresponds to GdkFrameClock::before-paint. Should not be handled by applications.
`GDK_FRAME_CLOCK_PHASE_UPDATE` | Corresponds to GdkFrameClock::update.
`GDK_FRAME_CLOCK_PHASE_LAYOUT` | Corresponds to GdkFrameClock::layout. Should not be handled by applicatiosn.
`GDK_FRAME_CLOCK_PHASE_PAINT` | Corresponds to GdkFrameClock::paint.
`GDK_FRAME_CLOCK_PHASE_RESUME_EVENTS` | Corresponds to GdkFrameClock::resume-events. Should not be handled by applications.
`GDK_FRAME_CLOCK_PHASE_AFTER_PAINT` | Corresponds to GdkFrameClock::after-paint. Should not be handled by applications.